# Uses of Interface
org.gitana.platform.client.vault.Vault

Packages that use Vault
Package
Description
org.gitana.platform.client.archive
org.gitana.platform.client.datastore
org.gitana.platform.client.platform
org.gitana.platform.client.support
org.gitana.platform.client.vault

## Uses of Vault in org.gitana.platform.client.archive

Constructors in org.gitana.platform.client.archive with parameters of type Vault
Modifier
Constructor
Description
``
`ArchiveImpl(Vault vault, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Vault in org.gitana.platform.client.datastore

Methods in org.gitana.platform.client.datastore with parameters of type Vault
Modifier and Type
Method
Description
`Archive`
AbstractDataStoreImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId)`
`Archive`
AbstractDataStoreImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration)`
`TransferExportJob`
AbstractDataStoreImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`

## Uses of Vault in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Vault
Modifier and Type
Method
Description
`Vault`
Platform.`createVault()`
`Vault`
Platform.`createVault(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Vault`
PlatformImpl.`createVault()`
`Vault`
PlatformImpl.`createVault(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Vault`
Platform.`readVault(String vaultId)`
`Vault`
PlatformImpl.`readVault(String domainId)`
Methods in org.gitana.platform.client.platform that return types with arguments of type Vault
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Vault>`
Platform.`listVaults()`
`org.gitana.platform.support.ResultMap<Vault>`
Platform.`listVaults(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Vault>`
PlatformImpl.`listVaults()`
`org.gitana.platform.support.ResultMap<Vault>`
PlatformImpl.`listVaults(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Vault>`
Platform.`queryVaults(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Vault>`
Platform.`queryVaults(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Vault>`
PlatformImpl.`queryVaults(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Vault>`
PlatformImpl.`queryVaults(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
Methods in org.gitana.platform.client.platform with parameters of type Vault
Modifier and Type
Method
Description
`Archive`
AbstractPlatformDocumentImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId)`
`Archive`
AbstractPlatformDocumentImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration)`
`TransferExportJob`
AbstractPlatformDocumentImpl.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`

## Uses of Vault in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Vault
Modifier and Type
Method
Description
`Vault`
ObjectFactory.`vault(Platform platform)`
`Vault`
ObjectFactory.`vault(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Vault`
ObjectFactory.`vault(Platform platform, Response response)`
`Vault`
ObjectFactoryImpl.`vault(Platform platform)`
`Vault`
ObjectFactoryImpl.`vault(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Vault`
ObjectFactoryImpl.`vault(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Vault
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Vault>`
ObjectFactory.`vaults(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Vault>`
ObjectFactoryImpl.`vaults(Platform platform, Response response)`
Methods in org.gitana.platform.client.support with parameters of type Vault
Modifier and Type
Method
Description
`Archive`
ObjectFactory.`archive(Vault vault, Response response)`
`Archive`
ObjectFactoryImpl.`archive(Vault vault, Response response)`
`org.gitana.platform.support.ResultMap<Archive>`
ObjectFactory.`archives(Vault vault, Response response)`
`org.gitana.platform.support.ResultMap<Archive>`
ObjectFactoryImpl.`archives(Vault vault, Response response)`
`Archive`
Transferable.`exportArchive(Vault vault, String groupId, String artifactId, String versionId)`
Exports synchronously and hands back the binary directly.
`Archive`
Transferable.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration)`
Exports synchronously and hands back the binary directly.
`TransferExportJob`
Transferable.`exportArchive(Vault vault, String groupId, String artifactId, String versionId, org.gitana.platform.services.transfer.TransferExportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`
Exports either synchronously or asynchronously, returning the job.

## Uses of Vault in org.gitana.platform.client.vault

Classes in org.gitana.platform.client.vault that implement Vault
Modifier and Type
Class
Description
`class`
`VaultImpl`
Methods in org.gitana.platform.client.vault that return Vault
Modifier and Type
Method
Description
`Vault`
AbstractVaultDocumentImpl.`getVault()`
`Vault`
VaultDocument.`getVault()`
Constructors in org.gitana.platform.client.vault with parameters of type Vault
Modifier
Constructor
Description
``
`AbstractVaultDocumentImpl(Vault vault, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`